//
// Created by sebastian on 07.02.26.
//

#include "Map.h"

#include "ecs/components/MapEntityComponent.h"
#include "ecs/components/TileGameplayComponent.h"

void Map::clear(EntityManager &entityManager) {
    for (EntityID id: entityManager.getAllEntities()) {
        if (entityManager.getComponent<MapEntityComponent>(id)) {
            entityManager.destroyEntity(id);
        }
    }
}
